Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84418 - User Quotas: procmail exited with EX_TEMPFAIL
Summary: User Quotas: procmail exited with EX_TEMPFAIL
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: procmail
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-16 12:52 UTC by Caniffe
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-15 13:45:08 UTC


Attachments (Terms of Use)

Description Caniffe 2003-02-16 12:52:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
With say for example a 10MB soft disk quotas enabled, and a 15MB hard disk 
quota, when attempting to email a user who has exceeded this quota, sendmail 
cannot deliver the message, providing the following error:

stat=Deferred: local mailer (/usr/bin/procmail) exited with EX_TEMPFAIL

The email remains in the local queue, re-attempted every queue time until I 
assume it eventually gets rejected.


Ultimately, couldn't procmail instead mention that the user quotas have been 
exceeded, and email the sender accordingly notifying that the message will 
be "delivered when there is enough disk quota?"

Version-Release number of selected component (if applicable):
procmail-3.22-5
sendmail-devel-8.11.6-15
sendmail-8.11.6-15
sendmail-cf-8.11.6-15


How reproducible:
Always

Steps to Reproduce:
1. As above.
2.
3.
    

Actual Results:  As above.

Additional info:

procmail-3.22-5
sendmail-devel-8.11.6-15
sendmail-8.11.6-15
sendmail-cf-8.11.6-15

Comment 1 Jens Petersen 2004-01-07 02:53:46 UTC
There was some discussion of this on the procmail list a while back:
http://mailman.rwth-aachen.de/pipermail/procmail/2003-August/016289.html
http://mailman.rwth-aachen.de/pipermail/procmail/2003-August/016078.html

Does this still happen with more recent releases of RHL or Fedora Core?


Note You need to log in before you can comment on or make changes to this bug.